Right click context menu for 1000 issues does not appear 

2012-03-27 18:04 - Sanjay Kashalkar

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.3.2

Description

Increase the per page limit to 1000 via admin-settings. Then select a 1000 issues and right click as usual. For a brief moment, the

loading box for the context menu appears, but then nothing more.

Reduce the selected items to 100 and the context menu appears again!

Using Redmine 1.3.2.

Related issues:

Related to Redmine - Defect #7549: right-click menu doesn't work with large n... New 2011-02-05

History

#1 - 2012-04-09 22:10 - Jean-Philippe Lang

- Subject changed from right click context menu for issues does not appear  to Right click context menu for 1000 issues does not appear 

#2 - 2018-04-02 03:55 - Go MAEDA

- Related to Defect #7549: right-click menu doesn't work with large number of issues. added

#3 - 2018-10-17 17:54 - Alessandro Zucchi

Hi,

the problem persists also in 4.0 version. This is è big limitation when you need to move a lot of issues.

Possible plan a fix of this problem?

Thank you.

Alessandro

#4 - 2018-10-17 22:42 - Pavel Rosický

The change should be simple, just change GET request to POST. I can make a patch if you want, but updating 1000 issues at once isn't a good idea.

If a request takes too long it could be rejected by the webserver. Such change isn't trivial. It would require background jobs or something.

#5 - 2018-10-18 08:38 - Alessandro Zucchi

Hi Pavel,

you are right, but in Redmine a lot of bulk operations are made in a sycronous mode from client side. I never had problems with websever.

For sure a sever side bulk operations should  be better: no browser freeze and better performance.

Bye
